"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkWithinAccessParams = exports.checkUndefinedParams = void 0;
var error_1 = require("./error");
function checkUndefinedParams(value) {
    if (value === undefined || value === null) {
        throw new error_1.NullValueError();
    }
}
exports.checkUndefinedParams = checkUndefinedParams;
function checkWithinAccessParams(pos, lower, upper) {
    if (pos < lower || pos > upper) {
        throw new error_1.RunTimeError();
    }
}
exports.checkWithinAccessParams = checkWithinAccessParams;
