import { NullValueError, RunTimeError } from './error';
export function checkUndefinedParams(value) {
    if (value === undefined || value === null) {
        throw new NullValueError();
    }
}
export function checkWithinAccessParams(pos, lower, upper) {
    if (pos < lower || pos > upper) {
        throw new RunTimeError();
    }
}
